(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../generated/api/vast2_0", "../generated/api/vast3_0", "../generated/api/vast4_0", "../generated/api/vast4_1"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var vast2_0_1 = require("../generated/api/vast2_0");
    var vast3_0_1 = require("../generated/api/vast3_0");
    var vast4_0_1 = require("../generated/api/vast4_0");
    var vast4_1_1 = require("../generated/api/vast4_1");
    function v2(options) {
        if (options === void 0) { options = {}; }
        var root = new vast2_0_1.apiv2();
        root.parseOptions(options);
        return root.attachVAST({ version: "2.0" });
    }
    exports.v2 = v2;
    function v3(options) {
        if (options === void 0) { options = {}; }
        var root = new vast3_0_1.apiv3();
        root.parseOptions(options);
        return root.attachVAST({ version: "3.0" });
    }
    exports.v3 = v3;
    function v4(options) {
        if (options === void 0) { options = {}; }
        var root = new vast4_0_1.apiv4();
        root.parseOptions(options);
        return root.attachVAST({ version: "4.0" });
    }
    exports.v4 = v4;
    function v4_1(options) {
        if (options === void 0) { options = {}; }
        var root = new vast4_1_1.apiv4_1();
        root.parseOptions(options);
        return root.attachVAST({ version: "4.1" });
    }
    exports.v4_1 = v4_1;
});
//# sourceMappingURL=index.js.map