(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var yellow = "\x1b[33m";
    var red = "\x1b[31m";
    var reset = "\x1b[0m";
    var introError = yellow + "VAST-BUILDER " + red + "ERROR" + yellow + ":" + reset;
    var introWarning = yellow + "VAST-BUILDER WARNING:" + reset;
    function logError(error) {
        // tslint:disable-next-line:no-console
        console.error(introError + " " + error);
    }
    exports.logError = logError;
    function logWarn(warning) {
        // tslint:disable-next-line:no-console
        console.warn(introWarning + " " + warning);
    }
    exports.logWarn = logWarn;
    function warnOrThrow(msg, options, isError) {
        if (isError === void 0) { isError = false; }
        if (options.logWarn) {
            if (isError) {
                logError(msg);
            }
            else {
                logWarn(msg);
            }
        }
        if (isError && options.throwOnError) {
            throw new Error(msg);
        }
    }
    exports.warnOrThrow = warnOrThrow;
});
//# sourceMappingURL=logs.js.map