import { ElementCompact } from "xml-js";
interface AttributeObject {
    [key: string]: string;
}
interface VastElementInfos {
    attrs?: Array<string | any> | "all";
    required?: boolean;
    uniq?: boolean;
    alo?: boolean;
}
export default class VastElement<VastElementParent extends VastElement<any>> {
    parent: VastElementParent;
    name: string;
    content: string;
    attrs: AttributeObject;
    childs: Array<VastElement<any>>;
    infos: VastElementInfos;
    options: VastBuilderOptions;
    cdataThisOne: boolean;
    constructor(name: string, parent: VastElementParent, baseInfos: VastElementInfos, content: string, attrs?: AttributeObject);
    constructor(name?: string, parent?: VastElementParent, baseInfos?: VastElementInfos, attrs?: AttributeObject);
    getName(): string;
    getParent(): VastElementParent;
    getContent(): string;
    getInfos(): VastElementInfos;
    getAttr(attributeName: string): string;
    getValidAttrs(): AttributeObject;
    /** @deprecated “getAttrs()“ method is deprecated, use getValidAttrs() instead. */
    getAttrs(): AttributeObject;
    and(): VastElementParent;
    back(): VastElementParent;
    cdata(): this;
    text(): this;
    attachCustomTag(tagName: string, content?: string, attributes?: AttributeObject): VastElement<this>;
    attachCustomTag(tagName: string, attributes?: AttributeObject): VastElement<this>;
    addCustomTag(tagName: string, content: string, attributes?: AttributeObject): this;
    addCustomTag(tagName: string, attributes?: AttributeObject): this;
    hasAttrs(): boolean;
    getJson(): ElementCompact;
    getRoot(): VastElement<null>;
    toXml(): string;
    getVastVersion(): number;
    getVastSnakeVersion(): string;
    getChilds(name: string): Array<VastElement<this>>;
    get(arrayOfTagNames?: string[], fromRoot?: boolean): Array<VastElement<any>>;
    isWrapper(): boolean;
    parseOptions(options: VastBuilderOptions): void;
    private getVersionRaw;
}
export declare class VastElementRoot extends VastElement<VastElementRoot> {
    and(): this;
}
export {};
